> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download assets

> Downloads assets from a specified library.



## OpenAPI

````yaml post /workspaces/libraries/{library_id}/download
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/libraries/{library_id}/download:
    post:
      tags:
        - Library
      description: Downloads assets from a specified library.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: library_id
          required: true
          schema:
            type: string
        - in: query
          name: attachments
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Successfully downloaded assets
          content:
            application/json:
              schema:
                type: string
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````